

<?php
/* Copyright (C) 2013 ATM Consulting <support@atm-consulting.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 *     \file       contact.php
 *     \ingroup    contactdefault
 *     \brief      Onglet de gestion des contacts par défaut du tiers
 */
$res=0;
// Try main.inc.php into web root known defined into CONTEXT_DOCUMENT_ROOT (not always defined)
if (! $res && ! empty($_SERVER["CONTEXT_DOCUMENT_ROOT"])) $res=@include($_SERVER["CONTEXT_DOCUMENT_ROOT"]."/main.inc.php");
// Try main.inc.php into web root detected using web root calculated from SCRIPT_FILENAME
$tmp=empty($_SERVER['SCRIPT_FILENAME'])?'':$_SERVER['SCRIPT_FILENAME'];$tmp2=realpath(__FILE__); $i=strlen($tmp)-1; $j=strlen($tmp2)-1;
while($i > 0 && $j > 0 && isset($tmp[$i]) && isset($tmp2[$j]) && $tmp[$i]==$tmp2[$j]) { $i--; $j--; }
if (! $res && $i > 0 && file_exists(substr($tmp, 0, ($i+1))."/main.inc.php")) $res=@include(substr($tmp, 0, ($i+1))."/main.inc.php");
if (! $res && $i > 0 && file_exists(dirname(substr($tmp, 0, ($i+1)))."/main.inc.php")) $res=@include(dirname(substr($tmp, 0, ($i+1)))."/main.inc.php");
// Try main.inc.php using relative path
if (! $res && file_exists("../main.inc.php")) $res=@include("../main.inc.php");
if (! $res && file_exists("../../main.inc.php")) $res=@include("../../main.inc.php");
if (! $res && file_exists("../../../main.inc.php")) $res=@include("../../../main.inc.php");
if (! $res) die("Include of main fails");


require_once DOL_DOCUMENT_ROOT.'/core/lib/propal.lib.php';
require_once DOL_DOCUMENT_ROOT.'/core/class/html.formother.class.php';
require_once DOL_DOCUMENT_ROOT.'/core/class/html.formcompany.class.php';
require_once DOL_DOCUMENT_ROOT . '/comm/propal/class/propal.class.php';
require_once DOL_DOCUMENT_ROOT . '/comm/action/class/actioncomm.class.php';
require_once DOL_DOCUMENT_ROOT . '/core/modules/propale/modules_propale.php';
require_once DOL_DOCUMENT_ROOT . '/core/lib/functions2.lib.php';
require_once DOL_DOCUMENT_ROOT . '/core/lib/signature.lib.php';
require_once DOL_DOCUMENT_ROOT . '/core/class/extrafields.class.php';
require_once (DOL_DOCUMENT_ROOT."/user/class/user.class.php");
//dol_include_once('/contactdefault/class/contactdefault.class.php');

$langs->load("companies");
$langs->load("propal");
$langs->load("orders");
$langs->load("bills");
$langs->load("interventions");
$langs->load("contracts");
$langs->load("projects");

$id=GETPOST('id','int');
$action=GETPOST('action','alpha');

// Security check
//$result = restrictedArea($user, 'societe', $socid, '&societe', '', 'fk_soc', 'rowid');

//$object=
$object = new Propal($db);
$ret=$object->fetch($id);

/*
 * View
 */


llxHeader('',$langs->trans("propal"),'EN:Commercial_Proposals|FR:Proposition_commerciale|ES:Presupuestos');


//////$formcompany = new FormCompany($db);
//$formother = new FormOther($db);
//$contactstatic=new Contact($db);
//$userstatic=new User($db);





/* *************************************************************************** */
/*                                                                             */
/* Mode vue et edition                                                         */
/*                                                                             */
/* *************************************************************************** */
dol_htmloutput_mesg($mesg);

if ($id > 0)
{
   
    $head = propal_prepare_head($object);
    dol_fiche_head($head, 'tabMotifsRefus',$langs->trans("Proposal"),0,'propal');
    
    $res = $db->query("SELECT ".MAIN_DB_PREFIX."c_motifsrefus.content, ".MAIN_DB_PREFIX."propal_refus.note FROM ".MAIN_DB_PREFIX."propal_refus,".MAIN_DB_PREFIX."c_motifsrefus WHERE ".MAIN_DB_PREFIX."c_motifsrefus.rowid=".MAIN_DB_PREFIX."propal_refus.fk_motifsrefus and ".MAIN_DB_PREFIX."propal_refus.fk_propal=".$id);
    print '<table class="noborder margintable centpercent">';
   // print '<tr><td width="20%">'.$langs->trans('MotifRefus').'</td></tr>';
    
    
    
    
   
    $user= new User($db);
    
    //echo "<pre>";print_r($object);echo "</pre>";
    if ($user->fetch($object->user_close_id)>0)
    {
        print dol_print_date($object->date_modification) ." ".$user->getNomUrl($user->id); 
        
    }
    print '<tr><th>Motif du refus</th><th >Note complémentaire</th>';
    while($obj = $db->fetch_object($res)) 
    {
        print '<tr ><td class="center">'.$obj->content.'</td>';
        print '<td class="center">'.$obj->note.'</td></tr>';

    }
    print '</table>';
}


llxFooter();
$db->close();
